# -*- mode: RPM-SPEC; indent-tabs-mode: nil -*-
%define _docdir %{_datadir}/doc/ldas-tools-%{version}

Summary: LDAS tools libgenericAPI toolkit runtime files
Name: ldas-tools-ldasgen
Version: 2.5.4
Release: 1%{?dist}
License: ?
URL: http://www.ligo.caltech.edu
Group: Application/Scientific
BuildRoot: %{buildroot}
Source0: http://software.ligo.org/lscsoft/source/ldas-tools-ldasgen-%{version}.tar.gz
Requires: ldas-tools-al
Buildrequires: autoconf
Buildrequires: automake
Buildrequires: bison
Buildrequires: doxygen
Buildrequires: flex
Buildrequires: ldas-tools-al-devel
Buildrequires: libtool
Buildrequires: openssl-devel
Buildrequires: pkgconfig
Buildrequires: python-devel
Buildrequires: swig
Buildrequires: zlib-devel
Buildrequires: ldas-tools-al-devel >= 2.4.99

Obsoletes: ldas-tools-genericAPI

%description
This provides the runtime libraries for the genericAPI library.

%package python
Group: Application/Scientific
Summary: LDAS tools genericAPI toolkit python files
Requires: ldas-tools-ldasgen
Obsoletes: ldas-tools-genericAPI-python
%description python
This provides the libraries needed to utilize the genericAPI library
from within Python

%package devel
Group: Development/Scientific
Summary: LDAS tools libgenericAPI toolkit development files
Requires: ldas-tools-al-devel
Requires: ldas-tools-ldasgen
Obsoletes: ldas-tools-genericAPI-devel
%description devel
This provides the develpement files the genericAPI library.

%prep

%setup -q

%build

#------------------------------------------------------------------------
# This works around a bug in the current rpmbuild system whereby the
#   PKG_CONFIG_PATH is set by the system and does not allow for
#   user preference.
# This work around should be fixed in RH 7.1 or so
#------------------------------------------------------------------------
export PKG_CONFIG_PATH="${LDASTOOLSDEV_PKG_CONFIG_PATH:-}${LDASTOOLSDEV_PKG_CONFIG_PATH:+:}$PKG_CONFIG_PATH"

%configure --disable-warnings-as-errors --with-optimization=high --disable-tcl --enable-python --docdir=%{_docdir}
make V=1 %{?_smp_mflags}
make V=1 check

%install
rm -rf %{buildroot}
#--------------------------------------------------------------
# install lscsoft specific files
#--------------------------------------------------------------
make V=1 install DESTDIR=%{buildroot}
#--------------------------------------------------------------
# Removed unwanted libtool files
#--------------------------------------------------------------
find %{buildroot} -name \*.la -exec rm -f {} \;
rm -f %{buildroot}%{python_sitearch}/LDAStools/_*.*a

%post
ldconfig
%postun
ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/libStat*.so.*
%{_libdir}/libldasgen*.so.*
%{_libexecdir}/ldas/lstat

%files python
%defattr(-,root,root,-)
%{python_sitearch}/LDAStools/LDASlogging.py*
%{python_sitearch}/LDAStools/_LDASlogging*.so*

%files devel
%defattr(-,root,root)
%{_includedir}/genericAPI
%{_libdir}/libStat.*a
%{_libdir}/libStat*.so
%{_libdir}/libldasgen.*a
%{_libdir}/libldasgen*.so
%{_docdir}/ldasgen
%{_libdir}/pkgconfig/ldastools-ldasgen.pc
%{_libdir}/pkgconfig/ldastools-stat.pc

%changelog
* Sat Oct 22 2016 Edward Maros <ed.maros@ligo.org> - 2.5.4-1
- Built for new release

* Mon Oct 10 2016 Edward Maros <ed.maros@ligo.org> - 2.5.3-1
- Built for new release

* Mon Sep 26 2016 Edward Maros <ed.maros@ligo.org> - 2.5.2-1
- Expanded information reported for failed stat and lstat calls

* Wed Mar 23 2016 Edward Maros <ed.maros@ligo.org> - 2.4.99.4-1
- Made build be verbose

* Fri Mar 11 2016 Edward Maros <ed.maros@ligo.org> - 2.4.99.1-1
- Corrections for RPM build

* Thu Mar 03 2016 Edward Maros <ed.maros@ligo.org> - 2.4.99.0-1
- Breakout into separate source package

* Tue Oct 11 2011 Edward Maros <ed.maros@ligo.org> - 1.19.13-1
- Initial build.
